Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.1 Portal Support Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

## http://www.bea.com/servers/netuix/xsd/controls/netuix/1.0.0
element book

Model
  `<book
  active = boolean
  activeImage = string
  backingFile = string
  defaultPage = string
  definitionId = string
  definitionLabel = `{string: length ≥ 1}`
  hidden = boolean
  id = string
  inactiveImage = string
  instanceId = string
  markupName = `{string: length ≥ 1}`
  markupType = `"Book"`
  offerRemote = boolean
  orientation = string
  packed = boolean
  presentationClass = string
  presentationId = string
  presentationStyle = string
  properties = string
  public = boolean
  returnToDefaultPage = boolean
  rolloverImage = string
  skeletonUri = string
  tagName = string
  title = `{string: length ≥ 1}`
  >
  meta*, titlebar?, singleLevelMenu | multiLevelMenu | tree?, toggleButton*, content
  </book>`

Disallowed substitutions (block)
  none (extensions, restrictions and substitutions are allowed)

Substitution group exclusion (final)
  none (extensions and restrictions are allowed)

Content Type
  declared by type bookType
  element-only content, not nillable.

Usage
  This element can be the root element of XML instance documents.
  This element can be a child of the following elements: root, body, placeholder, theme, placeholderType/theme, bodyType/theme, bookType/content, bookType/content/theme.

Nested Element Summary
`metaType` | `meta` 0...∞
`titlebarType` | `titlebar` optional
choice optional |
`singleLevelMenuType` | `singleLevelMenu`
`multiLevelMenuType` | `multiLevelMenu`
`treeType` | `tree`
choice 0...∞ |
`toggleButtonType` | `toggleButton`
`annonymous type derived from abstractWindowChildType` | `content`

Attribute Summary
`boolean` | `active`
`string` | `activeImage`
`string` | `backingFile`
`string` | `defaultPage`
`string` | `definitionId`
`annonymous type derived from string` | `definitionLabel`
`boolean` | `hidden`
`string` | `id`
`string` | `inactiveImage`
`string` | `instanceId`
`annonymous type derived from string` | `markupName`
`annonymous type derived from string` | `markupType`
`boolean` | `offerRemote`
`string` | `orientation`
`boolean` | `packed`
`string` | `presentationClass`
`string` | `presentationId`
`string` | `presentationStyle`
`string` | `properties`
`boolean` | `public`
`boolean` | `returnToDefaultPage`
`string` | `rolloverImage`
`string` | `skeletonUri`
`string` | `tagName`
`titleType` | `title`

Attribute Detail

### active

Definition

  Defined with global type boolean

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, finit value space

White Space Processing
  collapse

### activeImage

Definition

  Defined with global type string

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### backingFile

Definition

  Defined with global type string

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### defaultPage

Definition

  Defined with global type string

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### definitionId

Definition

  Defined with global type string

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### definitionLabel

Model
  `{string: length ≥ 1}`

Attribute Usage
  required

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

Length Facets
  length ≥ 1

White Space Processing
  preserve

### hidden

Definition

  Defined with global type boolean

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, finit value space

White Space Processing
  collapse

### id

Definition

  Defined with global type string

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### inactiveImage

Definition

  Defined with global type string

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### instanceId

Definition

  Defined with global type string

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### markupName

Model
  `{string: length ≥ 1}`

Attribute Usage
  required

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

Length Facets
  length ≥ 1

White Space Processing
  preserve

### markupType

Model
  `"Book"`

Attribute Usage
  required

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  preserve

Enumeration Facet
  `"Book"`

### offerRemote

Definition

  Defined with global type boolean

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, finit value space

White Space Processing
  collapse

### orientation

Definition

  Defined with global type string

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### packed

Definition

  Defined with global type boolean

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, finit value space

White Space Processing
  collapse

### presentationClass

Definition

  Defined with global type string

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### presentationId

Definition

  Defined with global type string

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### presentationStyle

Definition

  Defined with global type string

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### properties

Definition

  Defined with global type string

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### public

Definition

  Defined with global type boolean

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, finit value space

White Space Processing
  collapse

### returnToDefaultPage

Definition

  Defined with global type boolean

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, finit value space

White Space Processing
  collapse

### rolloverImage

Definition

  Defined with global type string

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### skeletonUri

Definition

  Defined with global type string

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### tagName

Definition

  Defined with global type string

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### title

Definition

  Defined with global type titleType

Model
  `{string: length ≥ 1}`

Attribute Usage
  required

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.1 Portal Support Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

Version: 9.1